Class | WSDL::Param
In: | wsdl/param.rb
Parent: | Info

### Methods

find_message new parse_attr parse_element soapbody_use targetnamespace

### Attributes

message | [R] |
name | [R] |
soapbody | [R] |
soapfault | [R] |
soapheader | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/param.rb, line 22
      def initialize
        super
        @message = nil
        @name = nil
        @soapbody = nil
        @soapheader = []
        @soapfault = nil
      end

### Public Instance methods

find_message()

[Source]

    # File wsdl/param.rb, line 35
      def find_message
        root.message(@message) or raise RuntimeError.new("#{@message} not found")
      end

parse_attr(attr, value)

[Source]

    # File wsdl/param.rb, line 69
      def parse_attr(attr, value)
        case attr
        when MessageAttrName
          if value.namespace.nil?
            value = XSD::QName.new(targetnamespace, value.source)
          end
          @message = value
        when NameAttrName
          @name = XSD::QName.new(targetnamespace, value.source)
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/param.rb, line 47
      def parse_element(element)
        case element
        when SOAPBodyName
          o = WSDL::SOAP::Body.new
          @soapbody = o
          o
        when SOAPHeaderName
          o = WSDL::SOAP::Header.new
          @soapheader << o
          o
        when SOAPFaultName
          o = WSDL::SOAP::Fault.new
          @soap_fault = o
          o
        when DocumentationName
          o = Documentation.new
          o
        else
          nil
        end
      end

soapbody_use()

[Source]

    # File wsdl/param.rb, line 39
      def soapbody_use
        if @soapbody
          @soapbody.use || :literal
        else
          raise RuntimeError.new("soap:body not found")
        end
      end

targetnamespace()

[Source]

    # File wsdl/param.rb, line 31
      def targetnamespace
        parent.targetnamespace
      end

[Validate]